# $Revision: 1.18 $, $Date: 2004/06/02 08:19:47 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IPC
%define	pnam	Shareable
Summary:	IPC::Shareable - share Perl variables between processes
Summary(pl):	IPC::Shareable - wspdzielenie zmiennych Perla midzy procesami
Name:		perl-IPC-Shareable
Version:	0.60
Release:	5
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	51462dabfb4eec81e0b3417a9f9add4e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Shareable allows you to tie a variable to shared memory making it
easy to share the contents of that variable with other Perl processes.
Scalars, arrays, and hashes can be tied.  The variable being tied may
contain arbitrarily complex data structures - including references to
arrays, hashes of hashes, etc.

%description -l pl
Modu IPC::Shareable pozwala zwiza zmienn z pamici dzielon, co
uatwia wspdzielenie zawartoci tej zmiennej z innymi procesami
Perla. Wizane mog by skalary, tablice i hasze. Powizana zmienna
moe zawiera dowolnie skomplikowane struktury danych - wczenie z
referencjami do tablic, haszy haszy itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^(require 5.005)(03;)$/$1_$2/' ./lib/IPC/Shareable.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS DISCLAIMER README TO_DO
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Shareable.spec,v $
Revision 1.18  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.17  2004/05/07 00:38:12  ankry
- rel. 4

Revision 1.16  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.14  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.13  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.12  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/24 20:37:29  radek
- always...

Revision 1.5  2003/02/24 20:31:55  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:34:02  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/11 20:49:20  radek
- s/5.00503/5.005_03/ to satisfy rpm requires
- release 2

Revision 1.2  2002/08/25 00:27:24  qboosh
- pl description

Revision 1.1  2002/08/24 17:04:41  radek
- new, STBR
